#pragma once

#include "CoreMinimal.h"
#include "K38DogBaseState.h"
#include "TunableStat.h"
#include "AnimationMontageDescriptor.h"
#include "K38StunnedDogState.generated.h"

UCLASS(Blueprintable)
class THEK38_API UK38StunnedDogState : public UK38DogBaseState
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FTunableStat _stunDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _stunMontage;

public:
	UK38StunnedDogState();
};

FORCEINLINE uint32 GetTypeHash(const UK38StunnedDogState) { return 0; }
